# Contributions

If you want to contribute to the Arpeggio project.

---

Arpeggio is open for contributions. You can contribute code, documentation,
tests, bug reports.  If you plan to make a contribution it would be great if you
first announce that on the discussion forum.

For bug reports please use github [issue tracker](https://github.com/textX/Arpeggio/issues/).

For code/doc/test contributions do the following:

1. Fork the [project on github](https://github.com/textX/Arpeggio/).
1. Clone your fork.

    To clone source repository with git and install for development do:

        $ git clone git@github.com:your_user_name/Arpeggio.git
        $ cd Arpeggio
        $ python setup.py develop

1. Make a branch for the new feature and switch to it.
1. Make one or more commits.
1. Push your branch to github.
1. Make a pull request. I will look at the changes and if everything is ok I will pull it in.

!!! note
    For code contributions please try to adhere to the [PEP-8 guidelines](http://legacy.python.org/dev/peps/pep-0008/).
    Although I am not strict in that regard it is useful to have a common ground for
    coding style. To make things easier use tools for code checking (PyLint,
    PyFlakes, pep8 etc.).


